pa_win_wdmks.h File Reference
Public API definitions for users of PortAudio

WDM Kernel Streaming-specific PortAudio API extension header file. More...

`#include "portaudio.h"`
`#include <windows.h>`

Go to the source code of this file.

## Data Structures

struct | PaWinWDMKSInfo
struct | PaWinWDMKSDeviceInfo
struct | PaWDMKSDirectionSpecificStreamInfo
struct | PaWDMKSSpecificStreamInfo

## Typedefs

typedef enum PaWinWDMKSFlags | PaWinWDMKSFlags
typedef struct PaWinWDMKSInfo | PaWinWDMKSInfo
typedef enum PaWDMKSType | PaWDMKSType
typedef enum PaWDMKSSubType | PaWDMKSSubType
typedef struct PaWinWDMKSDeviceInfo | PaWinWDMKSDeviceInfo
typedef struct PaWDMKSDirectionSpecificStreamInfo | PaWDMKSDirectionSpecificStreamInfo
typedef struct PaWDMKSSpecificStreamInfo | PaWDMKSSpecificStreamInfo

## Enumerations

enum | PaWinWDMKSFlags { paWinWDMKSOverrideFramesize = (1 << 0), paWinWDMKSUseGivenChannelMask = (1 << 1) }
enum | PaWDMKSType { Type_kNotUsed, Type_kWaveCyclic, Type_kWaveRT, Type_kCnt }
enum | PaWDMKSSubType { SubType_kUnknown, SubType_kNotification, SubType_kPolled, SubType_kCnt }

## Detailed Description

WDM Kernel Streaming-specific PortAudio API extension header file.

Definition in file pa_win_wdmks.h.

## Typedef Documentation

## PaWinWDMKSFlags

typedef enum PaWinWDMKSFlags PaWinWDMKSFlags

Flags to indicate valid fields in PaWinWDMKSInfo.

See also
  PaWinWDMKSInfo

Version
  Available as of 19.5.0.

## Enumeration Type Documentation

## PaWinWDMKSFlags

enum PaWinWDMKSFlags

Flags to indicate valid fields in PaWinWDMKSInfo.

See also
  PaWinWDMKSInfo

Version
  Available as of 19.5.0.

Enumerator
paWinWDMKSOverrideFramesize | Makes WDMKS use the supplied latency figures instead of relying on the frame size reported by the WaveCyclic device. Use at own risk!

paWinWDMKSUseGivenChannelMask

Makes WDMKS (output stream) use the given channelMask instead of the default.

Version
  Available as of 19.5.0.

Definition at line 60 of file pa_win_wdmks.h.